Intermittent html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin state not changed: use-credentials to USE-CREDENTIALS - expected FAIL

RESOLVED DUPLICATE of bug 1264467

Status

()

Core
DOM
RESOLVED DUPLICATE of bug 1264467
4 years ago
2 years ago

People

(Reporter: RyanVM, Assigned: edgar)

Tracking

({intermittent-failure})

Trunk
x86_64
Linux
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

4 years ago
https://treeherder.mozilla.org/ui/logviewer.html#?job_id=517894&repo=mozilla-central

builder 	Ubuntu VM 12.04 x64 mozilla-central opt test web-platform-tests-3
buildid 	20141021230532
builduid 	3b566a3991734e2ca0413ca64a0b46c0
results 	warnings (1)
revision 	ae4d9b4ff2ee
slave 		tst-linux64-spot-168
starttime 	Wed Oct 22 2014 03:09:28 GMT-0400 (Eastern Standard Time)

00:31:06 INFO - TEST-START | /html/semantics/embedded-content/the-img-element/relevant-mutations.html
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | src set
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | src changed
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | src removed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | srcset set - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | srcset changed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | srcset removed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | sizes set - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | sizes changed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | sizes removed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | src set to same value
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin absent to empty - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin absent to anonymous - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin absent to use-credentials - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin empty to absent - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin empty to use-credentials - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin anonymous to absent - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin anonymous to use-credentials - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin use-credentials to absent - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin use-credentials to empty - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin use-credentials to anonymous - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | inserted into picture - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | removed from picture - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source inserted - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source removed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source has srcset set - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source has srcset changed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source has srcset removed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source has sizes set - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source has sizes changed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source has sizes removed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source has media set - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source has media changed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source has media removed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source has type set - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source has type changed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, previous source has type removed - assert_unreached: update the image data was not run Reached unreachable code
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | srcset is set to same value
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | sizes is set to same value
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin state not changed: absent, removeAttribute
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin state not changed: empty to anonymous - assert_unreached: update the image data was run Reached unreachable code
00:31:07 INFO - TEST-FAIL | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin state not changed: anonymous to foobar - assert_unreached: update the image data was run Reached unreachable code
00:31:07 WARNING - TEST-UNEXPECTED-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | crossorigin state not changed: use-credentials to USE-CREDENTIALS - expected FAIL
00:31:07 WARNING - TEST-INFO | expected FAIL
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | inserted into picture ancestor
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | removed from picture ancestor
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | ancestor picture has a source inserted
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | ancestor picture has a source removed
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | ancestor picture; previous sibling source inserted
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | ancestor picture; previous sibling source removed
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, following sibling source inserted
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, following sibling source removed
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, following sibling source has srcset set
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | media on img set
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | type on img set
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | class on img set
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | alt on img set
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | src on previous sibling source set
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | class on previous sibling source set
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | inserted/removed children of img
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | picture is inserted
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | picture is removed
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, following img inserted
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, following img removed
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, following img has src set
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, following img has srcset set
00:31:07 INFO - TEST-PASS | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | parent is picture, following img has sizes set
00:31:07 INFO - TEST-OK | /html/semantics/embedded-content/the-img-element/relevant-mutations.html | took 1303ms
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Component: ImageLib → DOM
Inactive; closing (see bug 1180138).
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)

Comment 26

3 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 2
* try: 1
* mozilla-inbound: 1
* mozilla-central: 1

Platform breakdown:
* linux64: 2
* linux32: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087614&startday=2015-10-05&endday=2015-10-11&tree=all

Comment 27

3 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 2
* try: 1
* mozilla-central: 1
* mozilla-beta: 1
* b2g-inbound: 1

Platform breakdown:
* linux64: 4
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087614&startday=2015-10-19&endday=2015-10-25&tree=all

Comment 28

3 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 2
* mozilla-central: 1
* mozilla-aurora: 1
* b2g-inbound: 1

Platform breakdown:
* linux32: 6
* osx-10-10: 1
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087614&startday=2015-11-09&endday=2015-11-15&tree=all

Comment 29

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-beta: 2
* b2g-inbound: 2
* mozilla-aurora: 1

Platform breakdown:
* linux32: 3
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087614&startday=2015-11-16&endday=2015-11-22&tree=all

Comment 30

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 2
* mozilla-aurora: 2
* mozilla-beta: 1
* fx-team: 1
* b2g-inbound: 1

Platform breakdown:
* linux64: 5
* linux32: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087614&startday=2015-11-23&endday=2015-11-29&tree=all

Comment 31

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* try: 1
* mozilla-aurora: 1
* fx-team: 1

Platform breakdown:
* linux64: 6
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087614&startday=2015-12-14&endday=2015-12-20&tree=all

Comment 32

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* mozilla-release: 1

Platform breakdown:
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087614&startday=2015-12-21&endday=2015-12-27&tree=all

Comment 33

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 3
* try: 1
* mozilla-inbound: 1

Platform breakdown:
* linux32: 3
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087614&startday=2016-01-04&endday=2016-01-10&tree=all

Comment 34

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* try: 1
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* linux32: 4
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087614&startday=2016-02-01&endday=2016-02-07&tree=all

Comment 35

2 years ago
6 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-beta: 2
* fx-team: 1

Platform breakdown:
* linux64: 3
* linux32: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1087614&startday=2016-02-08&endday=2016-02-14&tree=all
(Reporter)

Updated

2 years ago
Depends on: 1193349
(Assignee)

Comment 36

2 years ago
bug 1264467 will improve the situation for this intermittent failure as well
Depends on: 1264467
(Assignee)

Comment 37

2 years ago
Per comment #36, mark as duplicate of bug 1264467.
Assignee: nobody → echen
Status: REOPENED → RESOLVED
Last Resolved: 3 years ago2 years ago
Resolution: --- → DUPLICATE
Duplicate of bug: 1264467
You need to log in before you can comment on or make changes to this bug.